- entityDefinitions:
  - IDM_Method_Binding__get__Abbreviation:  '{4c7a3419-7ed3-4b0b-99ab-f499807871a1}'
  - IDMB_Method_Binding__get__Abbreviation: '{b54dbab2-a345-48be-85b9-36f4615b69aa}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - conditionalSelectAttributeMethod: '&IDM_Method_Binding__get__Abbreviation;'
    # initialValue: 'Method Example@get Dummy Method Name (BA)*S*P(public)'
    forClassId: '&IDC_MethodBinding;'
    returnsAttributeId: '&IDA_MethodType;'
    verb: 'get'
    name: 'Abbreviation'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    cases:
    - globalIdentifier: '{afb46520-1681-42c3-9345-7551492a52c7}'
      trueConditions:
      - instance: '&IDMB_Method_Binding__is__RSMB;'
      returnsAttributeId: '&IDMB_Method_Binding__get__RSMB_Suffix;'
      comment: 'If Method Binding is RSMB, return the "RSMB" suffix'
      
    - globalIdentifier: '{80169afd-b847-4ef5-89c6-89378750165e}'
      trueConditions:
      - instance: '&IDMB_Method_Binding__is__RAMB;'
      returnsAttributeId: '&IDMB_Method_Binding__get__RAMB_Suffix;'
      comment: 'If Method is RAMB, return the "RAMB" suffix'
      
    - globalIdentifier: '{aed9169a-0f42-4b03-844e-ca16bcdee21e}'
      trueConditions:
      - instance: '&IDMB_Method_Binding__is__EUMB;'
      returnsAttributeId: '&IDMB_Method_Binding__get__EUMB_Suffix;'
      comment: 'If Method is EUMB, return the "EUMB" suffix'
      
    - globalIdentifier: '{a04e0eee-ddf9-4bae-9773-43cbfa9e31d3}'
      trueConditions:
      - instance: '&IDMB_Method_Binding__is__PUMB;'
      returnsAttributeId: '&IDMB_Method_Binding__get__PUMB_Suffix;'
      comment: 'If Method is PUMB, return the "PUMB" suffix'

    - globalIdentifier: '{6091faf2-e22d-4ca3-b67d-f1f0f30a68e2}'
      returnsAttributeId: '&IDMB_Common_Text__get__Empty_String;'
      comment: 'If nothing else matches, just return empty string'

  - returnAttributeMethodBinding: '&IDMB_Method_Binding__get__Abbreviation;'
    executesMethod: '&IDM_Method_Binding__get__Abbreviation;'
